Subject: bug#17660: 24.3; gnutls-min-prime-bits is 256

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 08 Dec 2014 20:46:35 +0100

Juliusz Chroboczek <[email-masked]> writes:

> In gnutls.el, I see
>
>   (defcustom gnutls-min-prime-bits 256
>      ...)
>
> This uses 256 bits for Diffie-Helman rather than the gnutls default, which
> seems awfully low to me.
>
> It looks like this was lowered due to bug#11267.  I suggest that it really
> should be set to a reasonable value.

In Emacs 25, people who want higher security can use the Network
Security Manager to achieve this, so I think the default here is
reasonable.  Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no